## python-editdist 0.0.3-maemo1

=== Makefile ===
compile:
	python2.5 setup.py build

install:
	python2.5 setup.py install --root ${DESTDIR}

clean:
	python2.5 setup.py clean

=== debian/changelog ===
python-editdist (0.0.3-maemo1) unstable; urgency=low

  * Build using mud-builder by andrew

 -- Andrew Flegg <andrew@bleb.org>  Sun, 13 Dec 2009 01:42:46 +0000

python-editdist (0.0.3) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Sun, 13 Dec 2009 01:42:46 +0000

=== debian/control ===
Source: python-editdist
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: python
Priority: extra
Maintainer: Andrew Flegg <andrew@bleb.org>
Build-Depends: python-imaging, python2.5-dev, python-numeric,
  python-support
Standards-Version: 3.6.1

Package: python-editdist
Architecture: any
Depends: python, ${shlibs:Depends}, ${misc:Depends}
Description: Calculate the 'edit distance' between two strings.
  Python module to calculate the Levenshtein edit distance between two
  strings. It is implemented as a CPython module and is quite fast.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/python-editdist.sgml > python-editdist.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/python-editdist.
	$(MAKE) DESTDIR=$(CURDIR)/debian/python-editdist install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
#	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
